Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class KruseCalendarEditor

    java.lang.Object
      org.makumba.forms.html.KruseCalendarEditor

All Implemented Interfaces:
  CalendarEditorProvider

    public class KruseCalendarEditor

extends Object
implements CalendarEditorProvider

Implements a calendar editor via a chose pop-up using the library of Matt Kurse - http://www.mattkruse.com/javascript/calendarpopup/

Field Summary
`static String` | `calendarEditorClass`

Constructor Summary
`KruseCalendarEditor()`

Method Summary
`StringBuffer` | `formatEditorCode(String inputName, Object formIdentifier, String calendarLinkFormatting)` Write the code to display the calendar, and to connect it to the input boxes of the Makumba-internal `dateEditor`.
`static CalendarEditorProvider` | `getInstance()`
`String[]` | `getNeededJavaScriptFileNames()` Return an array of file names to libraries that shall be included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### calendarEditorClass

    public static final String calendarEditorClass

See Also:
  Constant Field Values

Constructor Detail

### KruseCalendarEditor

    public KruseCalendarEditor()

Method Detail

### formatEditorCode

    public StringBuffer formatEditorCode(String inputName,
                                         Object formIdentifier,
                                         String calendarLinkFormatting)

  Description copied from interface: `CalendarEditorProvider`
  Write the code to display the calendar, and to connect it to the input boxes of the Makumba-internal `dateEditor`. This method has to provide all needed java-script calls.

  Specified by:
    `formatEditorCode` in interface `CalendarEditorProvider`

### getInstance

    public static CalendarEditorProvider getInstance()

### getNeededJavaScriptFileNames

    public String[] getNeededJavaScriptFileNames()

  Description copied from interface: `CalendarEditorProvider`
  Return an array of file names to libraries that shall be included. Makumba could check via page analysis `MakumbaJspAnalyzer` if the libraries are already included by the programmer, and add them if needed.

  Specified by:
    `getNeededJavaScriptFileNames` in interface `CalendarEditorProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20